Sirius 6.4.2rc1
[571440] Open our dependency ranges to allow for Guava 30.1

Eclipse 2021-03 will include Guava 30.1, and may remove the older
27.1. We must make sure we are compatible with what is in the SimRel.

Bug: https://bugs.eclipse.org/bugs/show_bug.cgi?id=571440
Change-Id: I475d2db788a3b3de4f8f9fc4d089b9c306072b6a
Signed-off-by: Pierre-Charles David <pierre-charles.david@obeo.fr>
33 files changed
tree: d73525b27d7bb9c3c1b02e008591bf688c794421
  1. .gitattributes
  2. .gitignore
  3. CONTRIBUTING
  4. Jenkinsfile
  5. LICENSE
  6. NOTICE
  7. README.md
  8. build.sh
  9. packaging/
  10. plugins/
  11. pom.xml
  12. releng/
README.md

Eclipse Sirius

Build Status

Sirius enables the specification of a modeling workbench in terms of graphical, table or tree editors with validation rules and actions using declarative descriptions.

For more details see the project page and the main wiki page.

Building

The build uses Tycho. To launch a complete build, issue

mvn clean package

from the top-level directory. The resulting update-site (p2 repository) can be found in packaging/org.eclipse.sirius.update/target/repository.

By default the build uses a Neon-based target platform. You can specify a different platform like this:

mvn clean package -Dplatform-version-name=name

where name can be any of the following values:

  • mars (Eclipse 4.5)
  • neon (Eclipse 4.6, the default and reference target platform)
  • canary (uses nightly builds of all our dependencies, only used for testing)

The corresponding target platform definitions can be found in releng/org.eclipse.sirius.targets.